<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
</head>
<style type="text/css" media="print">
.nover {display:none}
</style>
<BODY onLoad="self.focus();" onBlur="self.focus();">
<?php
include "../parametros.php";
include "../conexion.php";

$fecini=$_REQUEST["fechai"];
$fecfin=$_REQUEST["fechaf"];

$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,lema,nombrefactura,nit,resolucion,mensajefactura from parametros ");
while($datosrs= mysqli_fetch_row($sql_contar))
 { 
  $nombre=$datosrs[0];
  $direccion=$datosrs[1];
  $telefono=$datosrs[2];
  $lema=$datosrs[3];
  $nombrefactura=$datosrs[4];
  $nit=$datosrs[5];
  $resolucion=$datosrs[6];
  $mensajefactura=$datosrs[7];
 }



?>
<form name="parametros" method="post" action="" >
<center>
    <?php
     echo "<img src='../imagenes/logocliente.png' alt='SIVI' width='50% height='20%'>";
    
?>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr><td align="center" ><strong>NIT: <?php echo $nit; ?></strong></td></tr>  
  <tr><td align="center" ><strong><?php echo $direccion; ?></strong></td></tr>
  <tr><td align="center" ><strong><?php echo $telefono; ?></strong></td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px">
  <tr> <td align="center" ><strong><?php echo "Fecha: ".$fecsis." Hora: ".$horasis; ?> </strong></td></tr>
</table>
</center>
	  <?php
		
		 $sqlfecha=" and fecha between '".$fecini."' and '".$fecfin."'";

		  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from venta
									where id>=0
									$sqlfecha");
		   while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
		  if($contar>=1)
		  {
			 echo "<center> <table width='95%' border='1' bordercolor='#CCCCCC' cellpadding='0' cellspacing='0' style='font-size:10px'>";
						echo "<tr>";
						echo "<td >LINEA</td>";
						echo "<td >GRUPO</td>";
						echo "<td >VENTA</td>";
						echo "</tr>";
			  
			     $sql_datospf=mysqli_query($conexion,"SELECT count(*) as contar,linea,grupo from venta,producto
										where venta.id>=0
									    $sqlfecha
										and venta.producto=producto.id
										group by linea,grupo
										order by linea asc");
				$c=1;$sumag=0;$sumapu=0;$sumaput=0;$sumaI=0;$sumaef=0;$sumacr=0;
				 while($datospf= mysqli_fetch_row($sql_datospf))//01
					{
					  $linea=$datospf[1];  $grupo=$datospf[2];
					   $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
					  
					  $sql_datos=mysqli_query($conexion,"SELECT venta.id,fecha,cantidad,precio,total,factura,venta.producto,venta.estado,venta.tipopago,
					  									venta.efectivo,venta.credito,venta.cliente,venta.iva
					  							 from venta,producto
												where venta.id>=0
												$sqlfecha
												and venta.producto=producto.id
												and producto.linea='".$linea."'
												and producto.grupo='".$grupo."'
												order by fecha asc, id desc");
						$sumat=0;$sumaefectivo=0; $sumacredito=0;
						 while($datos= mysqli_fetch_row($sql_datos))//04
							{
								 $id=$datos[0];
								 $fecha=$datos[1];
								 $cantidad=$datos[2];
								 $precio=$datos[3];
								 $total=$datos[4];
								 $factura=$datos[5];
								 $producto=$datos[6];
								 $estadov=$datos[7];
								 $tipopago=$datos[8];	
								 $efectivo=$datos[9];	
								 $credito=$datos[10];
								 $cliente=$datos[11];	
								 $iva=$datos[12];	
								 
								 $sql_datosrs=mysqli_query($conexion,"SELECT nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
															codigobarra,estado,ubicacion,linea,grupo from producto
															where id='".$producto."'");
								  while($datosrs= mysqli_fetch_row($sql_datosrs))//04
							      {
									 $nombre=$datosrs[0];
									 $descripcion=$datosrs[1];
									 $preciounitario=$datosrs[2];
									 $precioventa=$datosrs[3];
									 $productofamilia=$datosrs[4];
									 $marca=$datosrs[5];
									 //$iva=$datosrs[6];
									 $codigobarra=$datosrs[7];
									 $estado=$datosrs[8];
									 $ubicacion=$datosrs[9];
									 $linea=$datosrs[10];
									 $grupo=$datosrs[11];
									 $ventapro=$cantidad*$preciounitario;	
									 							 
								  }
								 
								 $ncliente="";
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM cliente where id='".$cliente."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ncliente=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
								 
								 
								 if($c%2==0){$color="#EAEAEA";}
								 else {$color="#BFBFBF";}
								 
								
									 $sumaefectivo=$sumaefectivo+$efectivo;
									 $sumacredito=$sumacredito+$credito;
									 
									 $valorprecio=$precio*$cantidad;
									 $valoriva=$iva*$cantidad;
									 $preciototalventa=$valorprecio+$valoriva;
									 
									 if($tipopago=='EF')
									   {$npago="Efectivo";
										$sumaef=$sumaef+$preciototalventa;
									   }							
									 if($tipopago=='CR')
									   {$npago="Credito";
										$sumacr=$sumacr+$credito;
									   }
									   
									 
									  if($estadov<>"I")
										 {
										   $sumat=$sumat+$preciototalventa;
										   $sumapu=$sumapu+$ventapro;
										   $nestado="Facturado";
										 }
										
										if($estadov=="I")
										 {
										   $sumaI=$sumaI+$total;
										   $nestado="Anulado";
										 }   
								
									$c++;
									
									
									
							} //04
							  echo "<tr >";
									  echo "																					
									  <td ><div align='right'>$nlinea</div></td>
									  <td ><div align='right'>$ngrupo</div></td>
									  <td ><div align='right'><font size='4'><strong>".number_format($sumat)."</strong></font></div></td>									  								 
									</tr>";
									
							$sumag=$sumag+$sumat;	
							$sumaput=$sumaput+$sumapu;
							$sumat=0;	
							$sumapu=0;
								
					}//01				
							 $rs_credito=mysqli_query($conexion,"SELECT sum(valor) FROM credito where fecsis between '".$fecsis."' and '".$fecsis."'");							 
							 while($datosrs= mysqli_fetch_row($rs_credito)){ $totalcredito=$datosrs[0];}
							 
							 $totalefectivo=$sumag-$totalcredito;								 
							 $ganacias=$sumag-$sumaput;
							 
							 //verificamos descuentos
							 $rs_descuentos=mysqli_query($conexion,"SELECT sum(descuento) FROM venta_descuento 
							 										where fecha between '".$fecsis."' and '".$fecsis."'");							 
							 while($datosrs= mysqli_fetch_row($rs_descuentos)){ $descuentos=$datosrs[0];}



							 //sacamos todos los abonos de creditos
							 $sqlfechaaobono=" and fecsis between '".$fecsis."' and '".$fecsis."'";
							 $rs_abonos=mysqli_query($conexion,"SELECT sum(valor) FROM venta_credito 
							 										where id>0
																	$sqlfechaaobono");							 
							 while($datosrs= mysqli_fetch_row($rs_abonos)){ $TOTALABONOS=$datosrs[0];}

							//sacamos los pagos a proveedores
							 $sqlfechaaobono=" and fecsis between '".$fecsis."' and '".$fecsis."'";
							 $rs_abonos=mysqli_query($conexion,"SELECT sum(valor) FROM inventario_proveedor_pagos 
							 										where id>0
																	$sqlfechaaobono");							 
							 while($datosrs= mysqli_fetch_row($rs_abonos)){ $totalpagos=$datosrs[0];}

							 echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>VENTA TOTAL</div></td>
									  <td ><div align='right'><font size='4'><strong>".number_format($sumag)."</strong></font></div></td>
									 
									</tr>";
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>EFECTIVO</div></td>
									  <td ><div align='right'><font size='4'><strong>".number_format($totalefectivo)."</strong></font></div></td>
									  								  
									</tr>";		
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>CREDITO</div></td>
									  <td ><div align='right'><font size='4'><strong>".number_format($totalcredito)."</strong></font></div></td>
									 								  
									</tr>";	
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>DESCUENTOS</div></td>
									  <td ><div align='right'><font size='4'><strong>".number_format($descuentos)."</strong></font></div></td>
									  								  
									</tr>";								
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>ANULADOS</div></td>
									  <td ><div align='right'><font size='4'><strong>".number_format($sumaI)."</strong></font></div></td>
									  							  
									</tr>";		
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>ABONOS CREDITO</div></td>
									  <td ><div align='right'><font size='4'><strong>".number_format($TOTALABONOS)."</strong></font></div></td>
									  								  
									</tr>";			
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>PAGOS PROVEEDORES</div></td>
									  <td ><div align='right'><font size='4'><strong>".number_format($totalpagos)."</strong></font></div></td>
									 								  
									</tr>";						
									

				 echo "</table></center>";
		  
} 
           ?>

       <center>
        <input name='imprime' type='button'  id='imprime' value='Imprime'   class="nover"  title="Clic para ver reporte"  onClick="window.print();" >
        <input name='cerrar' type='button'  id='cerrar' value='Cerrar'   class="nover"  title="Clic para ver reporte"  onClick="window.close();" >
         <input name="oculto" type="hidden" id="oculto">         
        </center>
</form>
</body>
</html>
